# cp_mgmt_service_other – Manages service-other objects on Check Point over Web Services API

New in version 2.9.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Manages service-other objects on Check Point devices including creating, updating and removing objects.

- All operations are performed over Web Services API.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

accept_replies
boolean

Choices:
- no
- yes

Specifies whether Other Service replies are to be accepted.

action string |  | Contains an INSPECT expression that defines the action to take if a rule containing this service is matched. Example, set r_mhandler &open_ssl_handler sets a handler on the connection.
aggressive_aging dictionary |  | Sets short (aggressive) timeouts for idle connections.
| default_timeout integer |  | Default aggressive aging timeout in seconds.

enable
boolean

Choices:
- no
- yes

N/A

| timeout integer |  | Aggressive aging timeout in seconds.

use_default_timeout
boolean

Choices:
- no
- yes

N/A

auto_publish_session
boolean

Choices:
- no
- yes

Publish the current session if changes have been performed after task completes.

color
string

Choices:
- aquamarine
- black
- blue
- crete blue
- burlywood
- cyan
- dark green
- khaki
- orchid
- dark orange
- dark sea green
- pink
- turquoise
- dark blue
- firebrick
- brown
- forest green
- gold
- dark gold
- gray
- dark gray
- light green
- lemon chiffon
- coral
- sea green
- sky blue
- magenta
- purple
- slate blue
- violet red
- navy blue
- olive
- orange
- red
- sienna
- yellow

Color of the object. Should be one of existing colors.

comments string |  | Comments string.

details_level
string

Choices:
- uid
- standard
- full

The level of detail for some of the fields in the response can vary from showing only the UID value of the object to a fully detailed representation of the object.

groups list |  | Collection of group identifiers.

ignore_errors
boolean

Choices:
- no
- yes

Apply changes ignoring errors. You won't be able to publish such a changes. If ignore-warnings flag was omitted - warnings will also be ignored.

ignore_warnings
boolean

Choices:
- no
- yes

Apply changes ignoring warnings.

ip_protocol integer |  | IP protocol number.

keep_connections_open_after_policy_installation
boolean

Choices:
- no
- yes

Keep connections open after policy has been installed even if they are not allowed under the new policy. This overrides the settings in the Connection Persistence page. If you change this property, the change will not affect open connections, but only future connections.

match string |  | Contains an INSPECT expression that defines the matching criteria. The connection is examined against the expression during the first packet. Example, tcp, dport = 21, direction = 0 matches incoming FTP control connections.

match_for_any
boolean

Choices:
- no
- yes

Indicates whether this service is used when 'Any' is set as the rule's service and there are several service objects with the same source port and protocol.

name string / required |  | Object name.

override_default_settings
boolean

Choices:
- no
- yes

Indicates whether this service is a Data Domain service which has been overridden.

session_timeout integer |  | Time (in seconds) before the session times out.

state
string

Choices:
- present ←
- absent

State of the access rule (present or absent). Defaults to present.

sync_connections_on_cluster
boolean

Choices:
- no
- yes

Enables state-synchronized High Availability or Load Sharing on a ClusterXL or OPSEC-certified cluster.

tags list |  | Collection of tag identifiers.

use_default_session_timeout
boolean

Choices:
- no
- yes

Use default virtual session timeout.

version string |  | Version of checkpoint. If not given one, the latest version taken.

wait_for_task
boolean

Choices:
- no
- yes ←

Wait for the task to end. Such as publish task.

## Examples

    - name: add-service-other
      cp_mgmt_service_other:
        aggressive_aging:
          enable: true
          timeout: 360
          use_default_timeout: false
        ip_protocol: 51
        keep_connections_open_after_policy_installation: false
        match_for_any: true
        name: New_Service_1
        session_timeout: 0
        state: present
        sync_connections_on_cluster: true

    - name: set-service-other
      cp_mgmt_service_other:
        aggressive_aging:
          default_timeout: 3600
        color: green
        name: New_Service_1
        state: present

    - name: delete-service-other
      cp_mgmt_service_other:
        name: New_Service_2
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
cp_mgmt_service_other dictionary | always, except when deleting the object. | The checkpoint object created or updated.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Or Soffer (@chkp-orso)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.